package com.pcloud.book.copyright.vo;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @author lily
 * @date 2018/12/3 15:52
 */
@ApiModel
@JsonInclude(JsonInclude.Include.NON_NULL)
public class BookServeInfoVO implements Serializable {

    @ApiModelProperty("服务标识")
    private Long serveId;

    @ApiModelProperty("服务名称")
    private String serveName;

    @ApiModelProperty("类型编码")
    private String typeCode;

    @ApiModelProperty("具体应用类型")
    private String fromType;

    @ApiModelProperty("类型编码名称")
    private String typeCodeName;

    @ApiModelProperty("具体类型名称")
    private String fromTypeName;

    @ApiModelProperty("类型编码名称")
    private String sceneCodeName;

    public Long getServeId() {
        return serveId;
    }

    public void setServeId(Long serveId) {
        this.serveId = serveId;
    }

    public String getServeName() {
        return serveName;
    }

    public void setServeName(String serveName) {
        this.serveName = serveName;
    }

    public String getTypeCode() {
        return typeCode;
    }

    public void setTypeCode(String typeCode) {
        this.typeCode = typeCode;
    }

    public String getFromType() {
        return fromType;
    }

    public void setFromType(String fromType) {
        this.fromType = fromType;
    }

    public String getTypeCodeName() {
        return typeCodeName;
    }

    public void setTypeCodeName(String typeCodeName) {
        this.typeCodeName = typeCodeName;
    }

    public String getFromTypeName() {
        return fromTypeName;
    }

    public void setFromTypeName(String fromTypeName) {
        this.fromTypeName = fromTypeName;
    }

    public String getSceneCodeName() {
        return sceneCodeName;
    }

    public void setSceneCodeName(String sceneCodeName) {
        this.sceneCodeName = sceneCodeName;
    }

    @Override
    public String toString() {
        return "BookServeInfoVO{" +
                "serveId=" + serveId +
                ", serveName='" + serveName + '\'' +
                ", typeCode='" + typeCode + '\'' +
                ", fromType='" + fromType + '\'' +
                ", typeCodeName='" + typeCodeName + '\'' +
                ", fromTypeName='" + fromTypeName + '\'' +
                ", sceneCodeName='" + sceneCodeName + '\'' +
                '}';
    }
}
